Teams
Create team
Creates a team using people, value unit, and sprint ids.
POST
/
v1
/
public
/
teams
Create team
curl --request POST \
--url https://api.agile-tools.io/v1/public/teams \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Platform Team",
"externalId": "TEAM_PLATFORM",
"memberIds": [
"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca",
"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b"
],
"valueUnitIds": [
"ec62afde-2718-4e54-98d8-aa2578f5d8a6"
]
}
'import requests
url = "https://api.agile-tools.io/v1/public/teams"
payload = {
"name": "Platform Team",
"externalId": "TEAM_PLATFORM",
"memberIds": ["318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca", "2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b"],
"valueUnitIds": ["ec62afde-2718-4e54-98d8-aa2578f5d8a6"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Platform Team',
externalId: 'TEAM_PLATFORM',
memberIds: ['318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca', '2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b'],
valueUnitIds: ['ec62afde-2718-4e54-98d8-aa2578f5d8a6']
})
};
fetch('https://api.agile-tools.io/v1/public/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/teams",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Platform Team',
'externalId' => 'TEAM_PLATFORM',
'memberIds' => [
'318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca',
'2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b'
],
'valueUnitIds' => [
'ec62afde-2718-4e54-98d8-aa2578f5d8a6'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/teams"
payload := strings.NewReader("{\n \"name\": \"Platform Team\",\n \"externalId\": \"TEAM_PLATFORM\",\n \"memberIds\": [\n \"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ],\n \"valueUnitIds\": [\n \"ec62afde-2718-4e54-98d8-aa2578f5d8a6\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/teams")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Platform Team\",\n \"externalId\": \"TEAM_PLATFORM\",\n \"memberIds\": [\n \"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ],\n \"valueUnitIds\": [\n \"ec62afde-2718-4e54-98d8-aa2578f5d8a6\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/teams")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Platform Team\",\n \"externalId\": \"TEAM_PLATFORM\",\n \"memberIds\": [\n \"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ],\n \"valueUnitIds\": [\n \"ec62afde-2718-4e54-98d8-aa2578f5d8a6\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "6b9a8462-e58f-4697-a725-f55bb86e3b2d",
"name": "Platform Team",
"externalId": "TEAM_PLATFORM",
"leadId": "2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b",
"leadName": "Calvin Tyler Osborne",
"deputyLeadId": "5d6b7f5a-41b4-4c1e-a4fb-1dd3d89b5f68",
"deputyLeadName": "Daphne Anderson",
"memberIds": [
"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca"
],
"memberNames": [
"Daphne Anderson"
],
"valueUnitIds": [
"ec62afde-2718-4e54-98d8-aa2578f5d8a6"
],
"valueUnitNames": [
"Platform"
],
"sprintIds": [
"7b17fb11-9e32-4f8f-9adf-6ee935aa0931"
],
"sprintNames": [
"Sprint 42"
],
"deleted": false
},
"meta": {
"requestId": "f056699e-497d-41d9-a877-d7c862de6587",
"timestamp": "2026-04-03T12:08:00Z"
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Body
application/json
Create payload for a team. Resolve people via GET /v1/public/people and value units via GET /v1/public/value-units.
Maximum string length:
150Pattern:
\SOptional external system identifier.
Maximum string length:
255Example:
"TEAM_platform_team"
Optional lead person id. Resolve via GET /v1/public/people.
Example:
"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b"
Optional deputy lead person id. Resolve via GET /v1/public/people.
Example:
"5d6b7f5a-41b4-4c1e-a4fb-1dd3d89b5f68"
Optional member person ids. Resolve via GET /v1/public/people.
Maximum array length:
12Optional value unit ids. Resolve via GET /v1/public/value-units.
Optional sprint ids.
⌘I
Create team
curl --request POST \
--url https://api.agile-tools.io/v1/public/teams \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Platform Team",
"externalId": "TEAM_PLATFORM",
"memberIds": [
"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca",
"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b"
],
"valueUnitIds": [
"ec62afde-2718-4e54-98d8-aa2578f5d8a6"
]
}
'import requests
url = "https://api.agile-tools.io/v1/public/teams"
payload = {
"name": "Platform Team",
"externalId": "TEAM_PLATFORM",
"memberIds": ["318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca", "2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b"],
"valueUnitIds": ["ec62afde-2718-4e54-98d8-aa2578f5d8a6"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Platform Team',
externalId: 'TEAM_PLATFORM',
memberIds: ['318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca', '2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b'],
valueUnitIds: ['ec62afde-2718-4e54-98d8-aa2578f5d8a6']
})
};
fetch('https://api.agile-tools.io/v1/public/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/teams",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Platform Team',
'externalId' => 'TEAM_PLATFORM',
'memberIds' => [
'318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca',
'2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b'
],
'valueUnitIds' => [
'ec62afde-2718-4e54-98d8-aa2578f5d8a6'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/teams"
payload := strings.NewReader("{\n \"name\": \"Platform Team\",\n \"externalId\": \"TEAM_PLATFORM\",\n \"memberIds\": [\n \"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ],\n \"valueUnitIds\": [\n \"ec62afde-2718-4e54-98d8-aa2578f5d8a6\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/teams")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Platform Team\",\n \"externalId\": \"TEAM_PLATFORM\",\n \"memberIds\": [\n \"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ],\n \"valueUnitIds\": [\n \"ec62afde-2718-4e54-98d8-aa2578f5d8a6\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/teams")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Platform Team\",\n \"externalId\": \"TEAM_PLATFORM\",\n \"memberIds\": [\n \"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ],\n \"valueUnitIds\": [\n \"ec62afde-2718-4e54-98d8-aa2578f5d8a6\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "6b9a8462-e58f-4697-a725-f55bb86e3b2d",
"name": "Platform Team",
"externalId": "TEAM_PLATFORM",
"leadId": "2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b",
"leadName": "Calvin Tyler Osborne",
"deputyLeadId": "5d6b7f5a-41b4-4c1e-a4fb-1dd3d89b5f68",
"deputyLeadName": "Daphne Anderson",
"memberIds": [
"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca"
],
"memberNames": [
"Daphne Anderson"
],
"valueUnitIds": [
"ec62afde-2718-4e54-98d8-aa2578f5d8a6"
],
"valueUnitNames": [
"Platform"
],
"sprintIds": [
"7b17fb11-9e32-4f8f-9adf-6ee935aa0931"
],
"sprintNames": [
"Sprint 42"
],
"deleted": false
},
"meta": {
"requestId": "f056699e-497d-41d9-a877-d7c862de6587",
"timestamp": "2026-04-03T12:08:00Z"
}
}
